[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCClient.ServerRunning

Check if the server is running.

## Declaration

Source position: simpleipc.pp line 150

`public function TSimpleIPCClient.ServerRunning: Boolean;`

## Function result

True if the server can be reached

## Description

ServerRunning verifies if the server indicated in the ServerID and InstanceID properties is running. It returns True if the server communication endpoint can be reached, False otherwise. This function can be called before a connection is made.

## See also

Connect |  | Connect to the server

Documentation generated on: Feb 26 2014